Does gateway downgrade break ninjhax?

Discussion in '3DS - Homebrew Development and Emulators' started by spinal_cord, Jan 12, 2015.

  1. spinal_cord
    OP

    spinal_cord Knows his stuff

    Member
    3,022
    598
    Jul 21, 2007
    somewhere
    I've downgraded my 3DS to 4.5, then updated via games (zelda to 6.x, yoshi to 7.x) and neither firmware version will allow me to run ninjhax. Both just dump me out in the web browser. I have erased my ninja save, deleted cookies, neither of which helped.

    Any ideas?
     
  2. Xenon Hacks

    Xenon Hacks GBAtemp Guru

    Member
    7,124
    3,422
    Nov 13, 2014
    United States
  3. Rinnegatamante

    Rinnegatamante GBAtemp Psycho!

    Member
    3,127
    3,271
    Nov 24, 2014
    Italy
    Bologna
    Delete savegame (L+R+X+Y at Cubic Ninja main menu) and reinstall proper version of exploit. (Note: Try to scan QR with Wifi enabled if it doesn't work).
     
  4. nolimits59

    nolimits59 GBAtemp Fan

    Member
    485
    196
    Apr 25, 2008
    France
    Just tested on my 4.5.0.9E downgraded and ninjhax still work !
     
  5. nop90

    nop90 GBAtemp Maniac

    Member
    1,437
    2,138
    Jan 11, 2014
    Italy
    Rome
    I have a 3ds XL with FW 7.1.0-10E that when trying to launch ninjax only opens IE.

    I signaled this by mail to smea last week as a possible bug in the QR code. No answer yet :mellow:.

    The firmware was uptaded from legit 4.X using Tomodachi Life EUR.
     
  6. sj33

    sj33 GBAtemp Addict

    Member
    2,805
    1,782
    Oct 22, 2013
    Japan
    I downgraded my spare 9.2 3DS to 4.4 and have the same problem. I get dumped out of the browser.

    It's only my spare console so I'm not worried, but downgrading does seem to break Ninjhax somehow.
     
  7. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,726
    9,022
    Oct 27, 2002
    France
    Engine room, learning
    Not all Titles are downgraded.
    Maybe Ninhax "QR Version" depends on un-downgraded titles?

    Someone with NAND access who can compare files and version could confirm, and maybe list which titles are modified.
    There's also a gateway.dg decryptor, it probably contains a list of titles to downgrade.
     
    Bug_Checker_ likes this.
  8. sj33

    sj33 GBAtemp Addict

    Member
    2,805
    1,782
    Oct 22, 2013
    Japan
    This is really weird. I'm trying to get Ninjax working on my spare machine (originally 9.2, downgraded to 4.4). I've checked the internet connection is working and made sure I'm using the correct QR code. Even using the same computer screen as before, yet I keep getting thrown back to the system menu with an error message.

    I've never had a problem with my main console (4.1 with Gateway running 9.2 EmuNAND), I'm literally following the exact same steps.

    This is a retail Cubic Ninja cart.
     
  9. Xenon Hacks

    Xenon Hacks GBAtemp Guru

    Member
    7,124
    3,422
    Nov 13, 2014
    United States
    Did you delete your save if so I dont know what the problem is
     
  10. sj33

    sj33 GBAtemp Addict

    Member
    2,805
    1,782
    Oct 22, 2013
    Japan
    Yep, deleted the save. I even loaded Google in the web browser to ensure the internet connection actually is working. I've tried the 9.2 QR code just in case that title wasn't downgraded, same problem.

    Yet no issues with my main machine, which is 9.2 and never been downgraded. It surely must be something to do with the downgrade process given other people here are having the same problem.
     
  11. Slushie3DS

    Slushie3DS Cold Beverage Lover

    Member
    707
    294
    Jan 9, 2015
    United States
    Maybe try with the 4.1 QR? It's a long shot, but worth the few moments of your time.
     
  12. Helper

    Helper GBAtemp Regular

    Member
    136
    83
    Sep 14, 2009
    United States
    For what it's worth, I can reproduce the bug. I'll be as thorough as possible; if any further information is desired, let me know.

    Setup:
    • the system is a normal (CTR) 3DS, US region
    • sysNAND was 9.2.0-20U, downgraded to 4.2.0-9U
    • emuNAND is the same as old sysNAND: 9.2.0-20U
    • GW / Launcher.dat is 3.0.1
    • Cubic Ninja retail cartridge has ninjhax 1.1b installed.
    Procedure:
    • Power on 3DS, run DS Profile exploit and hold L
    • Boot into Classic Mode
    • Insert Cubic Ninja cart; load game; enable Wifi
    • Press A -> Create -> QR Code
    • ninjhax begins to load;
    • the 3DS hangs at the 70% mark.
    A few extras, just for fun.
    • SysNAND, no GW involved, booting retail cart: selecting QR Code crashes the game, giving an error message and a forced restart. Predictable, considering 9.2.0-20 is not the same as 4.2.0-9 (or whatever this apparent chimeric monster really is).
    • EmuNAND, booting Cubic Ninja ROM, scanning ninjhax QR code for OLD 9.2.0-20U: "installs" to save file just fine, running the exploit reaches 70% and then hangs.
    • EmuNAND, booting ROM, scanning ninjhax QR code for OLD 4.2.0-9U: the 3DS hangs. No visible activity at all.
    What concerns me the most is the impact this will have on version numbers.
    "What's your firmware?" "It's 4.5.0-10U." is suddenly ambiguous.
    We'll end up requiring nightmarish constructs like "It was 9.2.0-20U, DG'd via GW 3.0.1 to 4.2.0-9U, UD'd to 4.5.0U via AC:NL."
    To speak nothing of people who try to buy a 3DS with "firmware <= 4.5"...

    Oh well. Thank goodness for NAND backups. I don't have a hardware mod, but I guess it's time to get one.

    EDIT: Just tried another scenario: untouched mode, load CN cart, L+R+X+Y to delete save, scan QR code for OLD 4.2.0-9U; ninjhax loads, installs, boot.3dsx (the homebrew launcher) runs, and I can run yeti3DS. At least for me, ninjhax is fully working with a retail cart, 4.2.0-9U chimera sysNAND, and OLD 4.2.0-9U ninjhax 1.1b QR code.

    EDIT2: I realized that, in this case, I can restore sysNAND to 9.2.0-20U without a hardware mod. So, that's a good thing. Assuming it works.
     
  13. spinal_cord
    OP

    spinal_cord Knows his stuff

    Member
    3,022
    598
    Jul 21, 2007
    somewhere
    mini update, restored my 9.2 from the gateway menu, tested ninjhax, it worked. Downgraded to 4.5 again, test ninjhax (deleted save, rescanned qr etc.) worked. Not sure I want to try updating through carts again, it's a boring process :-(
     
  14. DjoeN

    DjoeN Captain Haddock!

    Member
    5,207
    1,503
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    Got the same problem., but since blargsnes and yobo have cia files, it's not that bad, the run fine :) in gateway emunand :)
     
  15. Hashtastrophe

    Hashtastrophe Wizard

    Member
    439
    301
    Jan 12, 2015
    Canada
    Yes that kind of wizard.
    It does work. I've gotten bored and just downgraded then restored sysNAND backup (on 9.2) dozens of times yesterday. As long as the 3DS doesn't lose power during the restore, it's fine. (also applies to the downgrade)
     
    Helper likes this.